Summary: Library for reading lines from a terminal
Name: readline
Version: 2.1
Release: 5
Copyright: GPL
Group: Libraries
Source: ftp://prep.ai.mit.edu/pub/gnu/readline-2.1.tar.gz
Patch: readline-2.1-shared.patch
BuildRoot: /tmp/rl-root
Prefix: /usr
Prereq: /sbin/install-info /sbin/ldconfig

%changelog

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>

- spec file cleanups

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>

- added proper sonames

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>

- updated to readline 2.1

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description 
The "readline" library will read a line from the terminal and return it,
allowing the user to edit the line with the standard emacs editing keys.
It allows the programmer to give the user an easier-to-use and more
intuitive interface.

%package devel
Summary: file for developing programs that use the readline library
Group: Libraries
Requires: readline

%description devel
The "readline" library will read a line from the terminal and return it,
using prompt as a prompt.  If prompt is null, no prompt is issued.  The
line returned is allocated with malloc(3), so the caller must free it when
finished.  The line returned has the final newline removed, so only the
text of the line remains.

%prep
%setup
%patch -p1

%build
./configure --prefix=/usr

make CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS" shared

%install
rm -rf $RPM_BUILD_ROOT
for I in usr/lib usr/include/readline usr/man/man3 usr/info; do
	mkdir -p $RPM_BUILD_ROOT/$I
done

install -m 644 libreadline.a $RPM_BUILD_ROOT/usr/lib
install -m 644 libhistory.a $RPM_BUILD_ROOT/usr/lib
install -m 755 libreadline.so.3.0 $RPM_BUILD_ROOT/usr/lib
install -m 755 libhistory.so.3.0 $RPM_BUILD_ROOT/usr/lib
ln -sf libreadline.so.3.0 $RPM_BUILD_ROOT/usr/lib/libreadline.so
ln -sf libhistory.so.3.0 $RPM_BUILD_ROOT/usr/lib/libhistory.so

for n in readline.h chardefs.h keymaps.h history.h tilde.h; do
    install -m 644 $n $RPM_BUILD_ROOT/usr/include/readline
done

for n in history.info readline.info; do
    cp doc/$n $RPM_BUILD_ROOT/usr/info
    gzip -nf9 $RPM_BUILD_ROOT/usr/info/$n
done

cp doc/readline.3 $RPM_BUILD_ROOT/usr/man/man3/readline.3
gzip -nf9 $RPM_BUILD_ROOT/usr/man/man3/readline.3

/sbin/ldconfig
 
%post 
/sbin/ldconfig
/sbin/install-info /usr/info/history.info.gz /usr/info/dir --entry="* history: (readline).                   The GNU history (from readline)."
/sbin/install-info /usr/info/readline.info.gz /usr/info/dir --entry="* readline: (readline).                   The GNU readline."

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/history.info.gz /usr/info/dir --entry="* history: (history).                   The GNU history (from readline)."
   /sbin/install-info --delete /usr/info/readline.info.gz /usr/info/dir --entry=" * readline: (readline).                   The GNU readline."
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/man/man3/readline.3.gz
/usr/info/history.info.gz
/usr/info/readline.info.gz

/usr/lib/libreadline.so.3.0
/usr/lib/libhistory.so.3.0

%files devel
/usr/include/readline
/usr/lib/libreadline.a
/usr/lib/libhistory.a

/usr/lib/libreadline.so
/usr/lib/libhistory.so
